-- 
-- Default classification sources and filing rules
-- for Koha.
--
-- Copyright (C) 2011 Magnus Enger Libriotech
--
-- This file is part of Koha.
--
-- Koha is free software; you can redistribute it and/or modify it
-- under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 3 of the License, or
-- (at your option) any later version.
--
-- Koha is distributed in the hope that it will be useful, but
-- WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with Koha; if not, see <http://www.gnu.org/licenses>.

-- class sorting (filing) rules
INSERT INTO `class_sort_rules` (`class_sort_rule`, `description`, `sort_routine`) VALUES
                               ('dewey', 'Standard sortering for DDK', 'Dewey'),
                               ('lcc', 'Standard sortering for LCC', 'LCC'),
                               ('generic', 'Generelle sorteringsregler', 'Generic');

-- splitting rules
INSERT INTO `class_split_rules` (`class_split_rule`, `description`, `split_routine`) VALUES
                               ('dewey', 'Default splitting rules for DDC', 'Dewey'),
                               ('lcc', 'Default splitting rules for LCC', 'LCC'),
                               ('generic', 'Generic call number splitting rules', 'Generic');

-- classification schemes or sources
INSERT INTO `class_sources` (`cn_source`, `description`, `used`, `class_sort_rule`, `class_split_rule`) VALUES
                            ('ddc', 'Dewey desimalklassifikasjon', 1, 'dewey', 'dewey'),
                            ('lcc', 'Library of Congress klassifikasjon', 1, 'lcc', 'lcc'),
                            ('udc', 'Universell desimalklassifikasjon', 0, 'generic', 'generic'),
                            ('sudocs', 'SuDoc klassifikasjon (U.S. GPO)', 0, 'generic', 'generic'),
                            ('anscr', 'ANSCR (Lydopptak)', 0, 'generic', 'generic'),
                            ('z', 'Andre klassifikasjonsskjema', 0, 'generic', 'generic');
